Bug 459907 - Several problems with randr and resolution change with ati driver.
Several problems with randr and resolution change with ati driver.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Patch, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-24 05:40 EDT by Diego
Modified: 2009-12-18 01:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:19:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (1.11 KB, text/plain)
2008-08-24 05:44 EDT, Diego
no flags Details
Xorg.0.log (90.73 KB, text/plain)
2008-08-24 05:45 EDT, Diego
no flags Details
Screen corrupted after going from upside down to normal. (150.71 KB, image/png)
2008-12-02 11:01 EST, Diego
no flags Details
Screen corrupted after going from upside down to normal (fonts screwed up). (197.74 KB, image/png)
2008-12-02 11:03 EST, Diego
no flags Details
Xorg.0.log when experiencing the "320x200 issue". (99.58 KB, text/plain)
2008-12-19 16:36 EST, Diego
no flags Details

  None (edit)
Description Diego 2008-08-24 05:40:36 EDT
Description of problem:
I've encountered several problems with randr and resolution change in Fedora 9 (I have no experience with previous Fedoras) with my ATI Radeon 9500.

Let me say that I have manually upgraded to xorg-x11-drv-ati-6.8.0.19.fc9 but I think this is not the problem because I remember to have experienced the first of the problems with randr I list below also after a fresh F9 install (the other problems I didn't test with the fresh install).

In case you need I'll try to downgrade to the version you ask me if you think that there are regressions.


Version-Release number of selected component (if applicable):
Nome       : xorg-x11-drv-ati
Arch       : i386
Versione    : 6.8.0
Release    : 19.fc9

Nome       : xorg-x11-server-Xorg
Arch       : i386
Versione    : 1.4.99.905
Release    : 2.20080702.fc9





PROBLEM #1:
How reproducible:
Always

Steps to Reproduce:
(I translate literally the names of the menus as I use Italian as language so they are just a guess).

1. System → Preferences → Hardware → Screen resolution
I'm at 1280x1025 @ 85Hz
2. Change rotation from "Normal" to "Left" or "Right"
  
Actual results:
The screen turn blank and then you are brought to gdm. If you try to login you again get the blank screen and then gdm again. Infinite loop until you delete the hidden configuration files in your home directory (I didn't know which file/directory to delete so I deleted them all to be sure).

Expected results:
Rotate the screen left/right.

Additional info:
This is really bad as a normal user doesn't know how to get out of the infinite loop.





PROBLEM #2:
How reproducible:
Always

Steps to Reproduce:
1. System → Preferences → Hardware → Screen resolution
2. Change rotation from "Normal" to "Upside down" and apply;
3. Change rotation from "Upside down" to "Normal" and apply.

  
Actual results:
Step 2 works, you get the screen rotated upside down, step 3 causes the monitor to turn to power save (as it has no input). Ctrl+Alt+Backspace, Ctrl+Alt+F1, Ctrl+Alt+Canc neither does nothing. Hard reset is the only way to recover.

Expected results:
Rotate the screen upside down and the normal again.

Additional info:
Hard crash is really bad.





PROBLEM #3:
How reproducible:
Always

Steps to Reproduce:
1. System → Administration → Screen (display?)
2. Change the resolution from "1280x1024" to "1152x864" and apply.

  
Actual results:
Same as problem #2: the monitor goes in power save mode (as it has no input). Ctrl+Alt+Backspace, Ctrl+Alt+F1, Ctrl+Alt+Canc neither does nothing. Hard reset is the only way to recover.

Expected results:
Change my display resolution to 1152x864 I suppose.

Additional info:
Hard crash is really bad.


Just ask me if you want me to do more testings (e.g. downgrading to a specific older version of the driver, uploading logs and so on).




Possibly related bugs:
https://bugzilla.redhat.com/show_bug.cgi?id=444126
https://bugzilla.redhat.com/show_bug.cgi?id=439174
Comment 1 Diego 2008-08-24 05:44:21 EDT
Created attachment 314881 [details]
xorg.conf

EXA is enabled.
Comment 2 Diego 2008-08-24 05:45:38 EDT
Created attachment 314882 [details]
Xorg.0.log
Comment 3 Jóhann B. Guðmundsson 2008-12-01 06:15:50 EST
There have been bunch of bug fixes

Could you retest with the latest kernel 
( -132 at the time of this writing )

You can get the latest kernel build here
http://koji.fedoraproject.org/koji/buildinfo?buildID=72270 

And with the latest xorg-x11-drv-ati. 
( -60 at the time of this writing )

You can get the latest xorg-x11-drv-ati build here
http://koji.fedoraproject.org/koji/packageinfo?packageID=95

And report back if it either improves or fixes this issue..

Thanks.
Comment 4 Diego 2008-12-02 10:56:03 EST
I updated to the versions you specified but I experienced no improvements at all.

PROBLEM #1:
Rotating left = monitor standby + total freeze (xrandr -o left). Hard reset required.

PROBLEM #2:
Turning upside down works (xrandr -o inverted), returning to normal corrupts the screen (xrandr -o normal). Going to attach some screens of the corruption.

PROBLEM #3:
Switch from 1280x1024 to 1152x864 = monitor standby + total freeze. Hard reset required.
Comment 5 Diego 2008-12-02 11:01:05 EST
Created attachment 325386 [details]
Screen corrupted after going from upside down to normal.

Screenshot of the corrupted screen after issuing the "xrandr -o normal" command when the screen is upside down.

Note: the white in the post-it on the desktop is just my censorship, it's not corruption. :)
Comment 6 Diego 2008-12-02 11:03:37 EST
Created attachment 325387 [details]
Screen corrupted after going from upside down to normal (fonts screwed up).

In this screen you can see that also the fonts are screwed up. Only logging out and back in fixes the corruption and the fonts.
Comment 7 Diego 2008-12-19 16:34:38 EST
Hmmm... today I experienced a problem that maybe can partly explain all those "monitor standby" issues I'm really frequently undergoing.

I was taking a look at the systemsettings modules in KDE 4 when I decided to take a look to the "Display" module. Immediately after clicking on the icon I experienced the "monitor standby" issue. This time I was able to get to the VT and in the last lines of the /var/log/Xorg.0.log I found:

(II) RADEON(0): Modeline "0x0"x0.0    0.00  0 0 0 0  0 0 0 0 (0.0 kHz)
(II) RADEON(0): EDID for output DVI-0
resize called 320 200

Don't know if these lines are of any interest but turning back to X (pressing Ctrl+Alt+F1) I got in the upper left corner of the screen a little part which displayed my KDE session, in the rest of the screen there was the output of my VT2 terminal.

It was like if there was a little (probably 320x200) KDE session in the upper left corner of the screen (the mouse moved only in this part) and the rest had my VT2 as a background.

I'm going to attach the Xorg.0.log related to this issue.
Comment 8 Diego 2008-12-19 16:36:49 EST
Created attachment 327501 [details]
Xorg.0.log when experiencing the "320x200 issue".
Comment 9 Diego 2009-01-25 08:36:25 EST
Fantastic! I've backported by hand (recompiled from Rawhide src.rpm) the latest packages for xorg-x11-server, xorg-x11-drv-ati, libXrandr and all the other needed dependencies and the problems has gone! All now works flawlessly!!!
Rotating left, right, upside down, and changing resolution now all works like a charm. Thanks!

Name       : xorg-x11-server-Xorg
Arch       : i386
Versione    : 1.5.99.901
Release    : 1.fc10

Name       : xorg-x11-drv-ati
Arch       : i386
Versione    : 6.10.0
Release    : 1.fc10

Name       : libXrandr
Arch       : i386
Versione    : 1.2.99.4
Release    : 1.fc10

The problems probably will remain open unless you backport the fixes also for Fedora 10, but at least I can see a bright future for Fedora 11!

P.S.: if you want me to test if the latest updates fix the problems also for F10 you should give me some time because I don't know how to downgrade (yum --allow-downgrade doesn't seem to work) so I have to install from scratch.
Comment 10 Bug Zapper 2009-06-09 22:32:17 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Diego 2009-06-10 00:49:03 EDT
As stated before this still applies to F10 but not to F11 (or XServer >= 1.6).
Comment 12 Bug Zapper 2009-11-18 03:18:29 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-12-18 01:19:51 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.